Merits are digital rewards collected by interacting with Blockscout and Blockscout-related apps and by participating in various activities (like contests, X participation, telegram participation, app participation and more). Merits are chain agnostic and can be incorporated into any application. For more details see the Merits section of the docs.
Merits are used to incentivize different activities within the Blockscout universe. For example:
Blockscout explorer basics: Earn Merits by signing up for the program. Once you are signed up, you can earn additional Merits by completing a daily claim. You can also share your referral code and earn Merits when new users sign up with that code.
Telegram mini app. The telegram Blockscout Merits Bot allows for direct communication with subscribers. Users who download the bot receive extra Merits -> https://t.me/blockscout_merits_bot
Swapscout swapping app. Merits are incorporated in the app so that users can view their balance and earn Merits for their swaps. https://swap.blockscout.com/. This is a good example of an external app that incorporates Merits.
Revokescout app. Merits are used to incentivize users but there is no sign in or interface. We simply check addresses that use the application and distribute Merits to those addresses.
Blockscout campaigns. Participants in time-gated campaigns such as rating Dapps or Twitter(X) contests receive additional Merits. We collect the Ethereum addresses of winners and distribute Merits manually.
Partner campaigns. Merits are allocated to users of other protocols as an additional incentive for use. Partners provide us with a list of addresses and tasks they completed and we distribute accordingly.
Merits can be integrated in different ways into your application. Ideas may be to include Merits as a reward for user interactions with your app or a general reward for any activity. Merits can be distributed to users via the API.Users can have the ability to sign up for Merits through your app and/or login to their Merits account. You can also display individual Merits balances and leaderboard balances within your application. However, these are optional integrations.To qualify for the bounty, you simply need to provide Merit incentives for certain activities, and then distribute those merits appropriately. As long as you have the participant’s Ethereum address you can distribute Merits.
Note: You can retrieve basic data without an API key, but for interactivity purposes you will need to request one via our Discord channel. See below.
When you request an API key you become a partner! You will receive a balance of test Merits which can then be distributed to your users.* Requires API Key - Add the assigned API KEY in the Authorization header to see your information.GEThttps://merits-staging.blockscout.com/partner/api/v1/balanceReturns the balance and distribution information for a partnerResponses
Ask for a signature from a user with a predefined message
// Formatted message examplemerits.blockscout.com wants you to sign in with your Ethereum account:0x813399e5b08Bb50b038AA7dF6347b6AF2D163328Sign-In for the Blockscout Merits program.URI: https://merits-staging.blockscout.comVersion: 1Chain ID: 1Nonce: 4MCWIDlddqsmJAZOZIssued At: 2025-03-18T12:23:51.549ZExpiration Time: 2026-03-18T12:23:51.549Z
Send data to get a user token
POSThttps://merits-staging.blockscout.com/api/v1/auth/loginAuthenticates a user with a signed messageBody
The message that was signedExample: merits.blockscout.com wants you to sign in with your Ethereum account: 0x813399e5b08Bb50b038AA7dF6347b6AF2D161338 Sign-In for the Blockscout Merits program. URI: https://merits.blockscout.com Version: 1 Chain ID: 1 Nonce: 4MCWIDlddqsmJAAAZ Issued At: 2025-03-18T12:23:51.549Z Expiration Time: 2026-03-18T12:23:51.549Z
The signature of the messageExample: 0xb11b582a6ef196a3f20fa9c84443a92c9f456c9da2ce8ceea2bcf4ce2b936e35767ac2ff56a1de635b7a5f4bcb5da89c4297efb2b4ce559123891202731752661c
POST /api/v1/auth/login HTTP/1.1Host: merits-staging.blockscout.comContent-Type: application/jsonAccept: */*Content-Length: 518{ "nonce": "4MCWIDlddqsmJAAAZ", "message": "merits.blockscout.com wants you to sign in with your Ethereum account:\n0x813399e5b08Bb50b038AA7dF6347b6AF2D161338\n\nSign-In for the Blockscout Merits program.\n\nURI: https://merits.blockscout.com\nVersion: 1\nChain ID: 1\nNonce: 4MCWIDlddqsmJAAAZ\nIssued At: 2025-03-18T12:23:51.549Z\nExpiration Time: 2026-03-18T12:23:51.549Z", "signature": "0xb11b582a6ef196a3f20fa9c84443a92c9f456c9da2ce8ceea2bcf4ce2b936e35767ac2ff56a1de635b7a5f4bcb5da89c4297efb2b4ce559123891202731752661c"}
curl -L \ --request POST \ --url 'https://merits-staging.blockscout.com/api/v1/auth/login' \ --header 'Content-Type: application/json' \ --data '{ "nonce": "4MCWIDlddqsmJAAAZ", "message": "merits.blockscout.com wants you to sign in with your Ethereum account:\n 0x813399e5b08Bb50b038AA7dF6347b6AF2D161338\n\n Sign-In for the Blockscout Merits program.\n\n URI: https://merits.blockscout.com\n Version: 1\n Chain ID: 1\n Nonce: 4MCWIDlddqsmJAAAZ\n Issued At: 2025-03-18T12:23:51.549Z\n Expiration Time: 2026-03-18T12:23:51.549Z", "signature": "0xb11b582a6ef196a3f20fa9c84443a92c9f456c9da2ce8ceea2bcf4ce2b936e35767ac2ff56a1de635b7a5f4bcb5da89c4297efb2b4ce559123891202731752661c" }'
const response = await fetch('https://merits-staging.blockscout.com/api/v1/auth/login', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "nonce": "4MCWIDlddqsmJAAAZ", "message": "merits.blockscout.com wants you to sign in with your Ethereum account:\n0x813399e5b08Bb50b038AA7dF6347b6AF2D161338\n\nSign-In for the Blockscout Merits program.\n\nURI: https://merits.blockscout.com\nVersion: 1\nChain ID: 1\nNonce: 4MCWIDlddqsmJAAAZ\nIssued At: 2025-03-18T12:23:51.549Z\nExpiration Time: 2026-03-18T12:23:51.549Z", "signature": "0xb11b582a6ef196a3f20fa9c84443a92c9f456c9da2ce8ceea2bcf4ce2b936e35767ac2ff56a1de635b7a5f4bcb5da89c4297efb2b4ce559123891202731752661c" })});const data = await response.json();
import requestsresponse = requests.post( "https://merits-staging.blockscout.com/api/v1/auth/login", headers={"Content-Type":"application/json"}, data=json.dumps({ "nonce": "4MCWIDlddqsmJAAAZ", "message": "merits.blockscout.com wants you to sign in with your Ethereum account:\n0x813399e5b08Bb50b038AA7dF6347b6AF2D161338\n\nSign-In for the Blockscout Merits program.\n\nURI: https://merits.blockscout.com\nVersion: 1\nChain ID: 1\nNonce: 4MCWIDlddqsmJAAAZ\nIssued At: 2025-03-18T12:23:51.549Z\nExpiration Time: 2026-03-18T12:23:51.549Z", "signature": "0xb11b582a6ef196a3f20fa9c84443a92c9f456c9da2ce8ceea2bcf4ce2b936e35767ac2ff56a1de635b7a5f4bcb5da89c4297efb2b4ce559123891202731752661c" }))data = response.json()
*Requires User Token: put the user token in the Authorization headerGEThttps://merits-staging.blockscout.com/api/v1/user/balancesReturns the detailed balance information for the authenticated userResponses